Bug 1069667 (JON3-17) - Make JON login look like other Red Hat products
Summary: Make JON login look like other Red Hat products
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JON3-17
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR01
: JON 3.3.0
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-25 13:32 UTC by Heiko W. Rupp
Modified: 2014-12-11 14:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:02:51 UTC
Type: Task


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker JON3-17 Major Verified Make JON login look like other Red Hat products 2016-09-15 20:34:54 UTC

Description Heiko W. Rupp 2014-02-25 13:32:20 UTC
Make JON login look like other Red Hat products.
See also JON3-16

Comment 1 Jirka Kremser 2014-03-18 15:29:01 UTC
Does this bug mean "integrate with keycloak" or is it only about the look&feel?

Comment 2 Thomas Heute 2014-04-01 11:37:55 UTC
It is only about Look&Feel *but* since a login redirects to KeyCloak it's the KC login screen that may have to follow the LnF. KeyCloak already defaults to  Patternfly/RCUE though but will need some adaptation.

If we can't make the KC integration in JON 3.3 we may still need to design the login page following RCUE requirements.

Comment 3 Jirka Kremser 2014-04-03 11:18:00 UTC
defining the "look like other Red Hat products" more precisely:
https://www.patternfly.org/wikis/patterns/user-authentication/loginlogout

Comment 4 Jirka Kremser 2014-04-07 10:51:54 UTC
associated JIRA on UX side for creating necessary branding elements https://issues.jboss.org/browse/DESIGN-542

Comment 5 Jirka Kremser 2014-04-07 18:15:04 UTC
Introducing a new web page only for login purposes. (${host}:7080/coregui/login) This had to be done because of the css and javascript separation... there were some collisions between PatternFly and us (jQuery hell in particular and some styles)

branch:  master
link:    https://github.com/rhq-project/rhq/commit/8f3d81ddb
time:    2014-04-07 20:11:53 +0200
commit:  8f3d81ddbfd4ab8d012668ad7f9dd2a77f221923
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1069667] - (JON3-17) Make JON login look like other Red Hat products
         - RHQ branding & handling error cases during login process.
         


branch:  master
link:    https://github.com/rhq-project/rhq/commit/b94268811
time:    2014-04-07 20:11:30 +0200
commit:  b942688114fb6982058edb2222c40ef5a18f183c
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1069667] - (JON3-17) Make JON login look like other Red Hat products
         - First prototype. Using the PatternFly default logo.

Comment 6 Jirka Kremser 2014-04-08 11:15:40 UTC
changing the status back to ASSIGNED because it's been done for RHQ, not for JON

Comment 7 Jirka Kremser 2014-04-10 17:31:53 UTC
cbbca6736  LDAP login/registration support
256895296  CAPS LOCK notification v2
175f76d8c  Session expiration
41364182a  CAPS LOCK notification v1

Comment 8 JBoss JIRA Server 2014-05-23 16:31:15 UTC
Heiko Rupp <hrupp@redhat.com> updated the status of jira JON3-17 to Resolved

Comment 10 Simeon Pinder 2014-07-31 15:52:04 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993


Note You need to log in before you can comment on or make changes to this bug.